Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPolyDataCollection Class Reference

`#include <vtkPolyDataCollection.h>`

Inheritance diagram for vtkPolyDataCollection:

[legend]
Collaboration diagram for vtkPolyDataCollection:

[legend]
List of all members.

## Detailed Description

maintain a list of polygonal data objects

Date:
  2002/10/04 20:43:44

Revision:
  1.39

vtkPolyDataCollection is an object that creates and manipulates lists of datasets of type vtkPolyData.

See also:
  vtkDataSetCollection vtkCollection

Created by:
  - Hoffman, Bill
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (53%)
  - Martin, Ken (19%)
  - Hoffman, Bill (19%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkPolyDataCollection.h)`
  - .`cxx` (`/Filtering/vtkPolyDataCollection.cxx)`

Definition at line 50 of file vtkPolyDataCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | AddItem (vtkPolyData *pd)
vtkPolyData * | GetNextItem ()
## Static Public Methods
vtkPolyDataCollection * | New ()
int | IsTypeOf (const char *type)
vtkPolyDataCollection * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPolyDataCollection ()
| ~vtkPolyDataCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkPolyDataCollection::Superclass

| Reimplemented from vtkCollection. Definition at line 54 of file vtkPolyDataCollection.h.

## Constructor & Destructor Documentation

vtkPolyDataCollection::vtkPolyDataCollection | ( |  | ) | `[inline, protected]`

| Definition at line 69 of file vtkPolyDataCollection.h.

vtkPolyDataCollection::~vtkPolyDataCollection | ( |  | ) | `[inline, protected]`

| Definition at line 70 of file vtkPolyDataCollection.h.

## Member Function Documentation

vtkPolyDataCollection* vtkPolyDataCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

virtual const char* vtkPolyDataCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkPolyDataCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkPolyDataCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkPolyDataCollection* vtkPolyDataCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

void vtkPolyDataCollection::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCollection.

void vtkPolyDataCollection::AddItem | ( | vtkPolyData * | pd | ) | `[inline]`

| Add a poly data to the list. Definition at line 59 of file vtkPolyDataCollection.h. References vtkCollection::AddItem().

vtkPolyData* vtkPolyDataCollection::GetNextItem | ( |  | ) | `[inline]`

| Get the next poly data in the list. Definition at line 65 of file vtkPolyDataCollection.h. References vtkCollection::GetNextItemAsObject().

The documentation for this class was generated from the following file:

- Filtering/vtkPolyDataCollection.h